from distutils.core import setup
import glob

setup(name = 'Pygeoclients',
      version = '0.1',
      description = 'A simple Python module with a collection of command-line utilities to import, geocode and show a map of addresses.',
      author = 'Christian S. Perone',
      author_email = 'christian.perone@gmail.com',
      url = 'http://pyevolve.sourceforge.net/wordpress',
      packages = ['pygeoclients'],
      license = "PSF",
      scripts=['pygeoclients_html/geoserver.html', 'pygeoclients_html/markerclusterer.js'],
      data_files=[('pygeoclients_html', glob.glob("pygeoclients_html/*")),
                 ],
      package_data = {
         'pygeoclients': ['*.txt']
      },
      download_url = "http://pyevolve.sourceforge.net/pygeoclients/down_pygeoclients.html",
      requires=["SQLAlchemy (>=0.5.4)", "simplejson (>=2.0.9)"]
     )
